# M5Unit - GESTURE

## Overview

Library for UnitHUB using [M5UnitUnified](https://github.com/m5stack/M5UnitUnified).  
M5UnitUnified is a library for unified handling of various M5 units products.

### SKU:U127

PAJ7620U2 touchless Gesture Moving Recognition Sensor Recognize up to 9 Gestures It's a touchless 3D gesture recognition sensor via the I2C interface that integrates with PAJ7620U2. You could feel the charm of 9 kinds of gesture recognition by default program. In addition to adding more complex gestures, the recognition rate is up to 240Hz with higher anti-interference capability. This sensor is reliable for its recognition process is intuitive and has low power consumption (operating current only 2.2mA) that allows you to control a robot in accordance with your hand's movement. This is particularly useful in interactive applications.

Support 9 gestures:

Up, Down, Left, Right, Front, Back, Clockwise, Counterclockwise, Quick wave


## Related Link
See also examples using conventional methods here.

- [Unit GESTURE & Datasheet](https://docs.m5stack.com/en/unit/Gesture)

## Required Libraries:

- [M5UnitUnified](https://github.com/m5stack/M5UnitUnified)
- [M5Utility](https://github.com/m5stack/M5Utility)
- [M5HAL](https://github.com/m5stack/M5HAL)

## License

- [M5Unit-GESTURE- MIT](LICENSE)

## Examples
See also [examples/UnitUnified](examples/UnitUnified)

## Doxygen document
[GitHub Pages](https://m5stack.github.io/M5Unit-GESTURE/)

If you want to generate documents on your local machine, execute the following command

```
bash docs/doxy.sh
```

It will output it under docs/html  
If you want to output Git commit hashes to html, do it for the git cloned folder.

### Required
- [Doxyegn](https://www.doxygen.nl/)
- [pcregrep](https://formulae.brew.sh/formula/pcre2)
- [Git](https://git-scm.com/) (Output commit hash to html)
